• Register
  • Help
Page 1 of 2 12 LastLast
Results 1 to 10 of 17

Topic: Request for Log of Vista Compatibility

Share/Bookmark
  1. #1

    Request for Log of Vista Compatibility

    Would the moderators consider establishing a "sticky" log of Vista compatibility for software and hardware.

    Perhaps one large table of information for the DAWs, Audio Interface, Controller ....
    Fields may contain information such as ...
    Existing SW / Drivers Compatible - Yes / No / Unknown
    Existing SW / Drivers Compatible - Version Numbers
    Vista Compatible SW / Drivers planned - Yes / No / Unknown
    Vista Compatible SW / Drivers planned - due date


    Not sure how it would be completed; should forum members should just post findings and moderators update table?


    Any other suggestions ?
    www.naxosradio.com
    VSL Symphonic Cube, PLAY Gold, Project SAM, Altiverb, US2400, Cubase 4

  2. #2
    Senior Member Richard Berg's Avatar
    Join Date
    Jul 2002
    Location
    Chapel Hill, NC
    Posts
    232

    Re: Request for Log of Vista Compatibility

    I'd suggest using (and contributing to!) existing sites like NTCompatible. On something as important as this, better to collaborate will the entire Windows community than just Northern Sounds readers.

  3. #3

    Re: Request for Log of Vista Compatibility

    I saw on the Propellerheads site that they've announced compatibility with Vista. I'm sure that other vendors will do the same in fairly short order.

    To me, the real lynchpin is hardware drivers for audio interfaces.
    Houston Haynes - Titan Line Music

  4. #4
    Senior Member Richard Berg's Avatar
    Join Date
    Jul 2002
    Location
    Chapel Hill, NC
    Posts
    232

    Re: Request for Log of Vista Compatibility

    Agreed, hardware is the most important piece of the puzzle. Doesn't look like NTCompatible is doing a very good job with the Vista transition, unfortunately. Too bad; they were the best source on the web during the Win95/98 -> Win2k move.

    Emu still lists Vista drivers as "TBA." Not even a guess at a date. I've hated Creative's engineering practices for a long time, and only bought the 1212M because it was an amazingly good deal 3 years ago; the time may have arrived to kick them to the curb (again).

    Except their competitors aren't much better. M-Audio has zero info and even tells you not to bother them about it. Echo won't talk dates either. RME has drivers for their latest (FireWire) interface but not for any of their PCI sourcecards.

  5. #5
    Senior Member Richard Berg's Avatar
    Join Date
    Jul 2002
    Location
    Chapel Hill, NC
    Posts
    232

    Re: Request for Log of Vista Compatibility

    Yup, the only people who currently have Vista drivers for their entire product line is MOTU. Kind of ironic, considering how Mac-centric they are.

    Unfortunately [for my wallet], as I was browsing their website in search of info for this thread, I came upon the UltraLite. Sexy...I think I'm in love.

  6. #6

    Re: Request for Log of Vista Compatibility

    Hi,

    do you know if the Motu cards have this feature :

    Windows Audio Session API (WASAPI)

    The new Sonar 6 update will be able to use this new API.

  7. #7
    Senior Member Richard Berg's Avatar
    Join Date
    Jul 2002
    Location
    Chapel Hill, NC
    Posts
    232

    Re: Request for Log of Vista Compatibility

    I don't know, but I will find out soon -- I ordered an UltraLite yesterday

    My guess is "yes". It would be very difficult for a pro audio driver that targets the old API to work correctly on Vista (which is why all the other companies are taking forever; they can't just repackage their old drivers with a new manifest like they could from 2000->XP or XP->2003).

  8. #8
    Senior Member Leaf's Avatar
    Join Date
    Apr 2006
    Location
    Dallas, TX
    Posts
    2,797

    Re: Request for Log of Vista Compatibility

    Quote Originally Posted by Richard Berg
    I don't know, but I will find out soon -- I ordered an UltraLite yesterday

    My guess is "yes". It would be very difficult for a pro audio driver that targets the old API to work correctly on Vista (which is why all the other companies are taking forever; they can't just repackage their old drivers with a new manifest like they could from 2000->XP or XP->2003).
    Can you tell us the price? Motu makes it imposible to find the prices on their website.


    ------------------------------------------


    I don't have a DAW, but running Finale 2007b on a Vista Beta. I prematurely reported on another thread that works great on Vista. The sound driver which is a beta for Vista from Realtek audio for 880 and 882is working fine, but Finale isn't.

    On XP I was able to get it to run well on my computer which has only 1 gig ram. It originally would have pops and static and sometime dropouts when i loaded plenty of instruments, but i was able to get rid of those problems by making startup only load the minimal programs needed, and by turned off all automatic updating so nothing would be running in the background. I would still have problems if i used Finale while connected to internet, but none if I disconnected.

    This has not worked to correct the problem in Vista. I do not know if there is stuff running in the background for now that you can't turn off just because it is a beta, or if this is the way the Vista release will be. I may just need more RAM.

    I'm glad I still have XP on a hard drive to use for now, because on this computer with Vista it is not currently usable.

  9. #9
    Senior Member Richard Berg's Avatar
    Join Date
    Jul 2002
    Location
    Chapel Hill, NC
    Posts
    232

    Re: Request for Log of Vista Compatibility

    The UltraLite is around $500 if you shop online. (try Froogle) I paid slightly more at Guitar Center for immediate gratification and comp'd accessories.

    What are you using to play sounds in Finale? The software MIDI driver? If it pops & clicks when you send it lots of complex data then obviously it's not working fine.

  10. #10

    Re: Request for Log of Vista Compatibility

    I see the RME FF400 and FF800 now claim Vista64 support. Been using a FF400 as well as a Tascam FW1884 with Win64 for about 3 months now and they work great. I picked up a spare boot drive with the plan of trying a Vista64 install to see what works.... just need to find some spare time to do it.

    No mention of Vista support on the Tascam driver page, however. Would their Win64 drivers be likely to work under Vista64?

    Howard


    ps: Cakewalk announced Sonar v6.2 at NAMM with native Vista 32 and 64 support. Chatter in their forums says it'll be up later this week or early next.

Go Back to forum

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •